<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';

$set['title']='Купить пиво для парней';
include_once '../sys/inc/thead.php';
title();
aut();
include_once 'css.php';
 if (mysql_result(mysql_query("SELECT COUNT(*) FROM `build` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"), 0)==0){
header("Location: index.php?".SID);
exit;
}  

if (isset($_POST['ok'])){
mysql_query("UPDATE `user` SET `money` = '".($user['money']-10)."' WHERE `id` = '$user[id]' LIMIT 1");
$msg = 'Угощает пивом команду парней ';
mysql_query("INSERT INTO `build_komm` (`id_user`, `time`, `msg`, `id_build`, `type`) values('$user[id]', '$time', '".my_esc($msg)."', '".intval($_GET['id'])."', 'pivo')");

$_SESSION['message'] = 'Операция прошла успешно';
header("Location: index.php");
}


echo "<form method='post'>Услуга стоит 10 монет<br>";
echo "<input type='submit' name='ok' value='Купить за 10 монет'>";
echo "</form>";

echo "<div class='foot'><a href='/build/'>Назад к стройке</div>";


include_once '../sys/inc/tfoot.php';

?>